package article

import "bytes"

type buffer struct { bytes.Buffer }

type Buffer struct {
	buffer
	bytesRead int
}

func (b *Buffer) Read(buf []byte) (int, error) {
	n, err := b.buffer.Read(buf)
	b.bytesRead += n
	return n, err
}

func (b *Buffer) BytesRead() int {
	return b.bytesRead
}
