package article_test

import (
	"testing"

	"github.com/stretchr/testify/assert"
	article "gitlab.com/endeworks/gihyo-wdpress/when-in-go/19-Embedded-Structs/src"
)

func TestBuffer(t *testing.T) {
	var b article.Buffer

	b.WriteString("Hello, World!")

	buf := make([]byte, 5)
	b.Read(buf)

	if !assert.Equal(t, buf, []byte("Hello"), `messages should match`) {
		return
	}

	if !assert.Equal(t, b.BytesRead(), 5, `bytes read should match`) {
		return
	}
	t.Logf("%s", buf)
	t.Logf("%d", b.BytesRead())
}
